[SOLVED] Canon PIXMA MG3650 printer

New to Debian (Or Linux in general)? Ask your questions here!

[SOLVED] Canon PIXMA MG3650 printer

Postby sjsj » 2016-11-09 18:57

Hello,

Sorry, I speak a little English.

My notebook is: Acer Aspire ES 15
My printer is: Canon PIXMA MG3650
My Debian is: Linux debian 4.7.0-1-686-pae #1 SMP Debian 4.7.8-1 (2016-10-19) i686 GNU/Linux

(installing with jessie-backports: http://forums.debian.net/viewtopic.php?f=17&t=130255&start=30#p627819)

I try:

Code: Select all
sudo su
apt-get install cups
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 gsettings-desktop-schemas : Breaks: gnome-settings-daemon (< 3.19.92) but 3.14.2-3 is to be installed
                             Breaks: mutter (< 3.19.92) but 3.14.4-1~deb8u1 is to be installed
 gstreamer1.0-plugins-base : Breaks: gstreamer1.0-plugins-bad (< 1.7.90) but 1.4.4-2.1+b1 is to be installed
 libgstreamer-plugins-base1.0-0 : Breaks: gstreamer1.0-plugins-bad (< 1.7.1) but 1.4.4-2.1+b1 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.


Please help me. Thanks!
Last edited by sjsj on 2016-11-19 01:32, edited 1 time in total.
User avatar
sjsj
 
Posts: 71
Joined: 2016-10-22 16:26

Re: Canon PIXMA MG3650 printer

Postby jarlaxl » 2016-11-10 16:34

jL Compromises; - one life (?), one moment (?); -one word 10^3 pics -world of words; meanings collapse;
The slave begins by demanding justice and ends by wanting to wear a crown
User avatar
jarlaxl
 
Posts: 31
Joined: 2010-10-10 19:39
Location: Somewhere else

Re: Canon PIXMA MG3650 printer

Postby sjsj » 2016-11-10 23:20

My problem is not solved. I don't know printing, but is need it. Please help me!
User avatar
sjsj
 
Posts: 71
Joined: 2016-10-22 16:26

Re: Canon PIXMA MG3650 printer

Postby arochester » 2016-11-10 23:26

"Something to be aware of: Debian is a core or source distribution. This means there are many Debian-based distributions. THEY ARE NOT DEBIAN."
arochester
 
Posts: 1089
Joined: 2010-12-07 19:55

Re: Canon PIXMA MG3650 printer

Postby sjsj » 2016-11-10 23:34

arochester wrote:Have you got the Canon drivers? https://www.canon.co.uk/support/consume ... =&os=LINUX


This product is not supported with the operating system selected and no drivers will be made available. Please contact us for further assistance.


I think if I know installing the cups, my problem is solved or not? This is new printer.

:cry:
User avatar
sjsj
 
Posts: 71
Joined: 2016-10-22 16:26

Re: Canon PIXMA MG3650 printer

Postby jarlaxl » 2016-11-11 07:55

arochester wrote:Have you got the Canon drivers? https://www.canon.co.uk/support/consume ... =&os=LINUX



Ooo my, wasnt aware that canon has drivers for this printer!

I guess that the OP has mixed repos as he is installing from jessie backports on a stretch system or so.
jL Compromises; - one life (?), one moment (?); -one word 10^3 pics -world of words; meanings collapse;
The slave begins by demanding justice and ends by wanting to wear a crown
User avatar
jarlaxl
 
Posts: 31
Joined: 2010-10-10 19:39
Location: Somewhere else

Re: Canon PIXMA MG3650 printer

Postby arochester » 2016-11-11 10:15

It look like there are Linux downloads here? http://www.canonprintersdrivers.com/can ... 00-series/
"Something to be aware of: Debian is a core or source distribution. This means there are many Debian-based distributions. THEY ARE NOT DEBIAN."
arochester
 
Posts: 1089
Joined: 2010-12-07 19:55

Re: Canon PIXMA MG3650 printer

Postby sjsj » 2016-11-12 19:54

Code: Select all
sudo rm /etc/apt/sources.list.d/testing.list
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install cups


The cups is installed. To be continue.
User avatar
sjsj
 
Posts: 71
Joined: 2016-10-22 16:26

Re: Canon PIXMA MG3650 printer

Postby sjsj » 2016-11-19 01:31

Linux driver only Canon PIXMA MG3600 in CUPS, and this is not enough for MG3650. Some problem my printer and I sold this.
User avatar
sjsj
 
Posts: 71
Joined: 2016-10-22 16:26

Re: Canon PIXMA MG3650 printer

Postby jarlaxl » 2016-11-20 16:53

arochester wrote:It look like there are Linux downloads here? http://www.canonprintersdrivers.com/can ... 00-series/



Well just found out that simple-scan works a charm with a canon pixma MG2450 without the drivers from canon (which are at least partly written by DD and occassionally segfault)

EDIT: at debian stretch, 64-bit
jL Compromises; - one life (?), one moment (?); -one word 10^3 pics -world of words; meanings collapse;
The slave begins by demanding justice and ends by wanting to wear a crown
User avatar
jarlaxl
 
Posts: 31
Joined: 2010-10-10 19:39
Location: Somewhere else

Re: [SOLVED] Canon PIXMA MG3650 printer

Postby nerosencanon » 2017-11-07 16:38

I also find that the work is simple-scan fascination with canon pixma very satisfying, especially now it is very easy to get his drivers if getting into trouble, I usually take the driver here Canon PIXMA MG3650 hope this can help you
nerosencanon
 
Posts: 1
Joined: 2017-11-07 16:27


Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 6 guests

fashionable